Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class Cache

    java.lang.Object
      de.grogra.graph.Cache

Direct Known Subclasses:
  LineSegmentizationCache, PolygonizationCache

    public abstract class Cache

extends java.lang.Object

Nested Class Summary
`static class` | `Cache.Entry`

Field Summary
`protected GraphState` | `gs`

Constructor Summary
`Cache(GraphState gs)`

Method Summary
`void` | `clear()`
`void` | `clearUnused()`
`protected abstract Cache.Entry` | `createEntry(java.lang.Object object, boolean asNode, ContextDependent dependent, java.lang.Object strategy)`
`GraphState` | `getGraphState()`
`java.lang.Object` | `getValue(java.lang.Object object, boolean asNode, ContextDependent dependent, java.lang.Object strategy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gs

    protected final GraphState gs

Constructor Detail

### Cache

    public Cache(GraphState gs)

Method Detail

### clear

    public void clear()

### clearUnused

    public void clearUnused()

### createEntry

    protected abstract Cache.Entry createEntry(java.lang.Object object,
                                               boolean asNode,
                                               ContextDependent dependent,
                                               java.lang.Object strategy)

### getGraphState

    public GraphState getGraphState()

### getValue

    public java.lang.Object getValue(java.lang.Object object,
                                     boolean asNode,
                                     ContextDependent dependent,
                                     java.lang.Object strategy)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD